#This file is provided only as a reference for manually recoding functions.

#This function is called from Behavior  bhvStar
#It has virtual address 0x802A4120 and rom address 0x5F120
 bhv_init_room:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8033
	lui	$a1, 0x8033
	addiu	$a1, $a1, 0x14
	jal	 is_item_in_array
	lh	$a0, -0x2208($a0)
	beqz	$v0, 0xc8
	nop	
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	addiu	$a3, $sp, 0x1c
	lwc1	$f12, 0xa0($t6)
	lwc1	$f14, 0xa4($t6)
	jal	 find_floor
	lw	$a2, 0xa8($t6)
	swc1	$f0, 0x18($sp)
	lw	$t7, 0x1c($sp)
	beqz	$t7, 0xc0
	nop	
	lw	$t8, 0x1c($sp)
	lb	$t9, 5($t8)
	beqz	$t9, 0x78
	nop	
	lw	$t0, 0x1c($sp)
	lui	$t2, 0x8036
	lw	$t2, 0x1160($t2)
	lb	$t1, 5($t0)
	b	0xc0
	sw	$t1, 0x1a0($t2)
	lui	$t3, 0x8036
	lw	$t3, 0x1160($t3)
	lui	$at, 0x42c8
	mtc1	$at, $f6
	lwc1	$f4, 0x18($sp)
	addiu	$a3, $sp, 0x1c
	lwc1	$f12, 0xa0($t3)
	lw	$a2, 0xa8($t3)
	jal	 find_floor
	sub.s	$f14, $f4, $f6
	lw	$t4, 0x1c($sp)
	beqz	$t4, 0xc0
	nop	
	lw	$t5, 0x1c($sp)
	lui	$t7, 0x8036
	lw	$t7, 0x1160($t7)
	lb	$t6, 5($t5)
	sw	$t6, 0x1a0($t7)
	b	0xd8
	nop	
	lui	$t9, 0x8036
	lw	$t9, 0x1160($t9)
	addiu	$t8, $zero, -1
	sw	$t8, 0x1a0($t9)
	b	0xe0
	nop	
	lw	$ra, 0x14($sp)
	addiu	$sp, $sp, 0x20
	jr	$ra
	nop	
#This function is called from Behavior  bhvStar
#It has virtual address 0x802F24F4 and rom address 0xAD4F4
 bhv_collect_star_init:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x188($t6)
	sra	$t8, $t7, 0x18
	andi	$t9, $t8, 0xff
	sb	$t9, 0x1f($sp)
	lui	$a0, 0x8033
	lui	$a1, 0x8034
	lh	$a1, -0x453a($a1)
	lh	$a0, -0x220c($a0)
	addiu	$a1, $a1, -1
	jal	 save_file_get_star_flags
	addiu	$a0, $a0, -1
	sb	$v0, 0x1e($sp)
	lb	$t1, 0x1f($sp)
	lbu	$t0, 0x1e($sp)
	addiu	$t2, $zero, 1
	sllv	$t3, $t2, $t1
	and	$t4, $t0, $t3
	beqz	$t4, 0x78
	nop	
	lui	$t5, 0x8033
	lw	$t5, -0x223c($t5)
	lui	$t7, 0x8036
	lw	$t7, 0x1160($t7)
	lw	$t6, 0x1e4($t5)
	b	0x90
	sw	$t6, 0x14($t7)
	lui	$t8, 0x8033
	lw	$t8, -0x223c($t8)
	lui	$t2, 0x8036
	lw	$t2, 0x1160($t2)
	lw	$t9, 0x1e8($t8)
	sw	$t9, 0x14($t2)
	lui	$a0, 0x8036
	lui	$a1, 0x8033
	addiu	$a1, $a1, 0x2784
	jal	 obj_set_hitbox
	lw	$a0, 0x1160($a0)
	b	0xac
	nop	
	lw	$ra, 0x14($sp)
	addiu	$sp, $sp, 0x20
	jr	$ra
	nop	
#This function is called from Behavior  bhvStar
#It has virtual address 0x802F25B0 and rom address 0xAD5B0
 bhv_collect_star_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0xd4($t6)
	addiu	$t8, $t7, 0x800
	sw	$t8, 0xd4($t6)
	lui	$t9, 0x8036
	lw	$t9, 0x1160($t9)
	lw	$t0, 0x134($t9)
	andi	$t1, $t0, 0x8000
	beqz	$t1, 0x4c
	nop	
	lui	$a0, 0x8036
	jal	 mark_obj_for_deletion
	lw	$a0, 0x1160($a0)
	lui	$t2, 0x8036
	lw	$t2, 0x1160($t2)
	sw	$zero, 0x134($t2)
	b	0x54
	nop	
	lw	$ra, 0x14($sp)
	addiu	$sp, $sp, 0x18
	jr	$ra
	nop	
#This function is called from Behavior  bhvHiddenRedCoinStar
#It has virtual address 0x802F2C84 and rom address 0xADC84
 bhv_hidden_red_coin_star_init:
	addiu	$sp, $sp, -0x38
	sw	$ra, 0x2c($sp)
	lui	$t6, 0x8034
	lh	$t6, -0x453a($t6)
	nop	
	nop	
	nop	
	lui	$a0, 0x8036
	lui	$a2, 0x1300
	addiu	$a2, $a2, 0x556c
	lw	$a0, 0x1160($a0)
	jal	 spawn_object
	addiu	$a1, $zero, 0x79
	lui	$a0, 0x1300
	jal	 count_objects_with_behavior
	addiu	$a0, $a0, 0x3eac
	sh	$v0, 0x36($sp)
	lh	$t7, 0x36($sp)
	bnez	$t7, 0xd8
	nop	
	lui	$t8, 0x8036
	lw	$t8, 0x1160($t8)
	lui	$a3, 0x1300
	addiu	$a3, $a3, 0x3e3c
	lwc1	$f4, 0xa0($t8)
#This function is called from Behavior  bhvHiddenRedCoinStar
#It has virtual address 0x802F2D8C and rom address 0xADD8C
 bhv_hidden_red_coin_star_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lui	$at, 0x8036
	lw	$t7, 0xf4($t6)
	sb	$t7, 0x13fe($at)
	lui	$t8, 0x8036
	lw	$t8, 0x1160($t8)
	lw	$s0, 0x14c($t8)
	beqz	$s0, 0x48
	nop	
	addiu	$at, $zero, 1
	beq	$s0, $at, 0x78
	nop	
	b	0xc4
	nop	
	lui	$t9, 0x8036
	lw	$t9, 0x1160($t9)
	addiu	$at, $zero, 8
	lw	$t0, 0xf4($t9)
	bne	$t0, $at, 0x70
	nop	
	lui	$t2, 0x8036
#This function is called from Behavior  bhvKoopa
#It has virtual address 0x802FBC4C and rom address 0xB6C4C
 bhv_koopa_init:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	addiu	$at, $zero, 4
	lw	$s0, 0x144($t6)
	bne	$s0, $at, 0x80
	sw	$s0, 0xf8($t6)
	lui	$t8, 0x8036
	lw	$t8, 0x1160($t8)
	addiu	$t7, $zero, 1
	sw	$t7, 0xf8($t8)
	lui	$at, 0x8034
	lui	$t9, 0x8036
	lw	$t9, 0x1160($t9)
	lwc1	$f4, -0x7614($at)
	swc1	$f4, 0xf4($t9)
	lui	$at, 0x8034
	lui	$t0, 0x8036
	lw	$t0, 0x1160($t0)
	lwc1	$f6, -0x7610($at)
	swc1	$f6, 0x19c($t0)
	lui	$at, 0x8034
	jal	 cur_obj_scale
#This function is called from Behavior  bhvKoopa
#It has virtual address 0x802FD7F8 and rom address 0xB87F8
 bhv_koopa_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t7, 0x8036
	lw	$t7, 0x1160($t7)
	lui	$t6, 0x5063
	ori	$t6, $t6, 0xb081
	sw	$t6, 0x1c4($t7)
	lui	$t8, 0x8036
	lw	$t8, 0x1160($t8)
	lw	$t9, 0xf8($t8)
	slti	$at, $t9, 2
	bnez	$at, 0x48
	nop	
	jal	0x802fd6ac
	nop	
	b	0x128
	nop	
	lui	$t0, 0x8036
	lw	$t0, 0x1160($t0)
	lui	$at, 0x3fc0
	mtc1	$at, $f6
	lwc1	$f4, 0xf4($t0)
	mul.s	$f12, $f4, $f6
	jal	0x802fb87c
#This function is called from Behavior  bhvKoopaRaceEndpoint
#It has virtual address 0x802FD950 and rom address 0xB8950
 bhv_koopa_race_endpoint_update:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0xf4($t6)
	beqz	$t7, 0xc0
	nop	
	lw	$t8, 0x104($t6)
	bnez	$t8, 0xc0
	nop	
	lui	$t9, 0x8036
	lw	$t9, 0x1160($t9)
	lw	$t0, 0xf8($t9)
	bnez	$t0, 0x58
	nop	
	lui	$at, 0x43c8
	mtc1	$at, $f6
	lwc1	$f4, 0x15c($t9)
	c.lt.s	$f4, $f6
	nop	
	bc1f	0xc0
	nop	
	lui	$t2, 0x8036
	lw	$t2, 0x1160($t2)
	addiu	$t1, $zero, 1
#This function is called from Behavior  bhvRedCoin
#It has virtual address 0x802F2E6C and rom address 0xADE6C
 bhv_red_coin_init:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	addiu	$a3, $sp, 0x24
	lwc1	$f12, 0xa0($t6)
	lwc1	$f14, 0xa4($t6)
	jal	 find_floor
	lw	$a2, 0xa8($t6)
	swc1	$f0, 0x20($sp)
	lui	$a0, 0x1300
	jal	 cur_obj_nearest_object_with_behavior
	addiu	$a0, $a0, 0x3e8c
	sw	$v0, 0x1c($sp)
	lw	$t7, 0x1c($sp)
	beqz	$t7, 0x58
	nop	
	lui	$t9, 0x8036
	lw	$t9, 0x1160($t9)
	lw	$t8, 0x1c($sp)
	b	0x94
	sw	$t8, 0x68($t9)
	lui	$a0, 0x1300
	jal	 cur_obj_nearest_object_with_behavior
	addiu	$a0, $a0, 0x3ee4
#This function is called from Behavior  bhvRedCoin
#It has virtual address 0x802F2F2C and rom address 0xADF2C
 bhv_red_coin_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x134($t6)
	andi	$t8, $t7, 0x8000
	beqz	$t8, 0xd0
	nop	
	lui	$t9, 0x8036
	lw	$t9, 0x1160($t9)
	lw	$t0, 0x68($t9)
	beqz	$t0, 0xbc
	nop	
	lui	$t1, 0x8036
	lw	$t1, 0x1160($t1)
	lw	$t2, 0x68($t1)
	lw	$t3, 0xf4($t2)
	addiu	$t4, $t3, 1
	sw	$t4, 0xf4($t2)
	lui	$t5, 0x8036
	lw	$t5, 0x1160($t5)
	addiu	$at, $zero, 8
	lw	$t6, 0x68($t5)
	lw	$t7, 0xf4($t6)
	beq	$t7, $at, 0x88
#This function is called from Behavior  bhvCannonClosed
#It has virtual address 0x802E7C90 and rom address 0xA2C90
 bhv_cannon_closed_init:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	jal	 save_file_is_cannon_unlocked
	nop	
	addiu	$at, $zero, 1
	bne	$v0, $at, 0xa4
	nop	
	lui	$a0, 0x8036
	lui	$a2, 0x1300
	addiu	$a2, $a2, 0x4a8
	lw	$a0, 0x1160($a0)
	jal	 spawn_object
	addiu	$a1, $zero, 0x80
	sw	$v0, 0x1c($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t8, 0x1c($sp)
	lw	$t7, 0x144($t6)
	sw	$t7, 0x144($t8)
	lui	$t9, 0x8036
	lw	$t9, 0x1160($t9)
	lw	$t0, 0x1c($sp)
	lwc1	$f4, 0x164($t9)
	swc1	$f4, 0xa0($t0)
	lui	$t1, 0x8036
#This function is called from Behavior  bhvCannonClosed
#It has virtual address 0x802E7E54 and rom address 0xA2E54
 bhv_cannon_closed_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$s0, 0x14c($t6)
	beqz	$s0, 0x40
	nop	
	addiu	$at, $zero, 1
	beq	$s0, $at, 0xac
	nop	
	addiu	$at, $zero, 2
	beq	$s0, $at, 0xf0
	nop	
	b	0x100
	nop	
	lui	$t7, 0x8036
	lw	$t7, 0x1160($t7)
	mtc1	$zero, $f4
	nop	
	swc1	$f4, 0xac($t7)
	lui	$t8, 0x8036
	lw	$t8, 0x1160($t8)
	mtc1	$zero, $f6
	nop	
#This function is called from Behavior  bhvCannonClosed
#It has virtual address 0x803839CC and rom address 0x13E9CC
 load_object_collision_model:
#This function is called from Behavior  bhvBobombBuddyOpensCannon
#It has virtual address 0x802E76AC and rom address 0xA26AC
 bhv_bobomb_buddy_init:
	lui	$at, 0x4020
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	mtc1	$at, $f4
	nop	
	swc1	$f4, 0xe4($t6)
	lui	$at, 0x8034
	lui	$t7, 0x8036
	lw	$t7, 0x1160($t7)
	lwc1	$f6, -0x7b14($at)
	swc1	$f6, 0x170($t7)
	lui	$at, 0x8034
	lui	$t8, 0x8036
	lw	$t8, 0x1160($t8)
	lwc1	$f8, -0x7b10($at)
	swc1	$f8, 0x174($t8)
	lui	$t0, 0x8036
	lw	$t0, 0x1160($t0)
	addiu	$t9, $zero, 0x4000
	sw	$t9, 0x190($t0)
	jr	$ra
	nop	
#This function is called from Behavior  bhvBobombBuddyOpensCannon
#It has virtual address 0x802E7C4C and rom address 0xA2C4C
 bhv_bobomb_buddy_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	jal	 bobomb_buddy_actions
	nop	
	lui	$a0, 0x8036
	lw	$a0, 0x1160($a0)
	jal	 curr_obj_random_blink
	addiu	$a0, $a0, 0xf4
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	sw	$zero, 0x134($t6)
	b	0x34
	nop	
	lw	$ra, 0x14($sp)
	addiu	$sp, $sp, 0x18
	jr	$ra
	nop	
#This function is called from Behavior  bhvExclamationBox
#It has virtual address 0x802C19C0 and rom address 0x7C9C0
 bhv_exclamation_box_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$at, 0x4000
	mtc1	$at, $f12
	jal	 cur_obj_scale
	nop	
	lui	$a0, 0x8033
	jal	 cur_obj_call_action_function
	addiu	$a0, $a0, 0xc20
	b	0x2c
	nop	
	lw	$ra, 0x14($sp)
	addiu	$sp, $sp, 0x18
	jr	$ra
	nop	
#This function is called from Behavior  bhvBubba
#It has virtual address 0x803145D4 and rom address 0xCF5D4
 bhv_bubba_loop:
	addiu	$sp, $sp, -0x40
	sw	$ra, 0x2c($sp)
	sw	$s0, 0x28($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	addiu	$at, $zero, -0x2001
	lw	$t7, 0x190($t6)
	and	$t8, $t7, $at
	sw	$t8, 0x190($t6)
	lui	$at, 0x42f0
	mtc1	$at, $f12
	jal	0x802fa4c4
	move	$a1, $zero
	lui	$t9, 0x8036
	lw	$t9, 0x1160($t9)
#This function is called from Behavior  bhvCoinFormation
#It has virtual address 0x802ABEE4 and rom address 0x66EE4
 bhv_coin_formation_init:
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x188($t6)
	sra	$t8, $t7, 8
	andi	$t9, $t8, 0xff
	sw	$t9, 0xf4($t6)
	jr	$ra
	nop	
#This function is called from Behavior  bhvCoinFormation
#It has virtual address 0x802ABF0C and rom address 0x66F0C
 bhv_coin_formation_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$s0, 0x14c($t6)
	beqz	$s0, 0x40
	nop	
#This function is called from Behavior  bhvGoombaTripletSpawner
#It has virtual address 0x802FF214 and rom address 0xBA214
 bhv_goomba_triplet_spawner_update:
	addiu	$sp, $sp, -0x40
	sw	$ra, 0x24($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x14c($t6)
	bnez	$t7, 0x1ac
	nop	
	lui	$t8, 0x8036
#This function is called from Behavior  bhvPiranhaPlant
#It has virtual address 0x802BE5A0 and rom address 0x795A0
 bhv_piranha_plant_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8033
	jal	 cur_obj_call_action_function
	addiu	$a0, $a0, 0x900
	lui	$t6, 0x8033
	lh	$t6, -0x2208($t6)
	addiu	$at, $zero, 0x18
#This function is called from Behavior  bhvGoomba
#It has virtual address 0x802FF408 and rom address 0xBA408
 bhv_goomba_init:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x144($t6)
	andi	$t8, $t7, 3
	sw	$t8, 0xf4($t6)
	lui	$t9, 0x8036
#This function is called from Behavior  bhvGoomba
#It has virtual address 0x802FF96C and rom address 0xBA96C
 bhv_goomba_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	jal	0x802fb87c
	lwc1	$f12, 0xf8($t6)
	beqz	$v0, 0x1a0
#This function is called from Behavior  bhvBobomb
#It has virtual address 0x802E6A2C and rom address 0xA1A2C
 bhv_bobomb_init:
	lui	$at, 0x4020
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	mtc1	$at, $f4
	nop	
	swc1	$f4, 0xe4($t6)
	lui	$at, 0x8034
	lui	$t7, 0x8036
#This function is called from Behavior  bhvBobomb
#It has virtual address 0x802E742C and rom address 0xA242C
 bhv_bobomb_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	addiu	$a3, $zero, 0xfa0
	lwc1	$f12, 0xa0($t6)
	lwc1	$f14, 0xa4($t6)
#This function is called from Behavior  bhv1Up
#It has virtual address 0x802F3D30 and rom address 0xAED30
 bhv_1up_init:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	jal	 bhv_1up_common_init
	nop	
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	addiu	$at, $zero, 1
	lw	$t7, 0x144($t6)
#This function is called from Behavior  bhv1Up
#It has virtual address 0x802F45B8 and rom address 0xAF5B8
 bhv_1up_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	jal	 bhv_1up_interact
	nop	
	lui	$a0, 0x8036
	lw	$a0, 0x1160($a0)
	jal	 set_object_visibility
	addiu	$a1, $zero, 0xbb8
#This function is called from Behavior  bhvTree
#It has virtual address 0x802C63E8 and rom address 0x813E8
 bhv_pole_base_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lui	$at, 0x4120
	mtc1	$at, $f6
	lwc1	$f4, 0xa4($t6)
	lui	$t7, 0x8036
#This function is called from Behavior  bhvButterfly
#It has virtual address 0x802E8F68 and rom address 0xA3F68
 bhv_butterfly_init:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	jal	 cur_obj_init_animation
	addiu	$a0, $zero, 1
	jal	 random_float
	nop	
	lui	$at, 0x42c8
	mtc1	$at, $f4
#This function is called from Behavior  bhvButterfly
#It has virtual address 0x802E96C8 and rom address 0xA46C8
 bhv_butterfly_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$s0, 0x14c($t6)
	beqz	$s0, 0x40
	nop	
#This function is called from Behavior  bhvTripletButterfly
#It has virtual address 0x80313FC0 and rom address 0xCEFC0
 bhv_triplet_butterfly_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	jal	 cur_obj_update_floor_and_walls
	nop	
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$s0, 0x14c($t6)
#This function is called from Behavior  bhvBlueCoinSwitch
#It has virtual address 0x802C242C and rom address 0x7D42C
 bhv_blue_coin_switch_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$at, 0x4040
	mtc1	$at, $f12
	jal	 cur_obj_scale
	nop	
	lui	$t6, 0x8036
#This function is called from Behavior  bhvHiddenBlueCoin
#It has virtual address 0x802C22B8 and rom address 0x7D2B8
 bhv_hidden_blue_coin_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$s0, 0x14c($t6)
	beqz	$s0, 0x40
	nop	
#This function is called from Behavior  bhvWoodenPost
#It has virtual address 0x80300ECC and rom address 0xBBECC
 bhv_wooden_post_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x100($t6)
	bnez	$t7, 0x68
	nop	
#This function is called from Behavior  RM_Scroll_Texture
#It has virtual address 0x80401718 and rom address 0x1201718
 Func_Custom_0x80401718:
	addiu	$sp, $sp, -0x30
	sdc1	$f20, 0x28($sp)
	sw	$ra, 0x24($sp)
	sw	$s3, 0x20($sp)
	sw	$s2, 0x1c($sp)
	sw	$s1, 0x18($sp)
	sw	$s0, 0x14($sp)
	lui	$s3, 0x8036
#This function is called from Behavior  bhvHiddenStarTrigger
#It has virtual address 0x802F31BC and rom address 0xAE1BC
 bhv_hidden_star_trigger_loop:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8036
	lui	$a1, 0x8036
	lw	$a1, 0x1158($a1)
	jal	 obj_check_if_collided_with_object
	lw	$a0, 0x1160($a0)
	addiu	$at, $zero, 1
#This function is called from Behavior  bhvHiddenStar
#It has virtual address 0x802F3014 and rom address 0xAE014
 bhv_hidden_star_init:
	addiu	$sp, $sp, -0x38
	sw	$ra, 0x2c($sp)
	lui	$a0, 0x1300
	jal	 count_objects_with_behavior
	addiu	$a0, $a0, 0x3f1c
	sh	$v0, 0x36($sp)
	lh	$t6, 0x36($sp)
	bnez	$t6, 0xac
#This function is called from Behavior  bhvHiddenStar
#It has virtual address 0x802F30F0 and rom address 0xAE0F0
 bhv_hidden_star_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$s0, 0x14c($t6)
	beqz	$s0, 0x34
	nop	
#This function is called from Behavior  Bhv_Custom_0x13001488
#It has virtual address 0x802B1278 and rom address 0x6C278
 bhv_purple_switch_loop:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x14c($t6)
	sltiu	$at, $t7, 5
	beqz	$at, 0x264
	nop	
#This function is called from Behavior  bhvHiddenObject
#It has virtual address 0x802B1AE0 and rom address 0x6CAE0
 bhv_hidden_object_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x144($t6)
	bnez	$t7, 0x2c
	nop	
	jal	 hidden_breakable_box_actions
#This function is called from Behavior  bhvChuckya
#It has virtual address 0x802AA0AC and rom address 0x650AC
 bhv_chuckya_loop:
	addiu	$sp, $sp, -0x30
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$at, 0x41a0
	mtc1	$at, $f4
	nop	
	swc1	$f4, 0x2c($sp)
	lui	$at, 0x4248
#This function is called from Behavior  bhvChainChomp
#It has virtual address 0x80300E40 and rom address 0xBBE40
 bhv_chain_chomp_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$s0, 0x14c($t6)
	beqz	$s0, 0x40
	nop	
#This function is called from Behavior  bhvSmallWhomp
#It has virtual address 0x802C79D8 and rom address 0x829D8
 bhv_whomp_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	jal	 cur_obj_update_floor_and_walls
	nop	
	lui	$a0, 0x8033
	jal	 cur_obj_call_action_function
	addiu	$a0, $a0, 0xce4
	jal	 cur_obj_move_standard
#This function is called from Behavior  bhvBreakableBox
#It has virtual address 0x802B1B2C and rom address 0x6CB2C
 bhv_breakable_box_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8036
	lui	$a1, 0x8033
	addiu	$a1, $a1, 0x3b0
	jal	 obj_set_hitbox
	lw	$a0, 0x1160($a0)
	jal	 cur_obj_set_model
#This function is called from Behavior  bhvHidden1upInPoleSpawner
#It has virtual address 0x802F4B78 and rom address 0xAFB78
 bhv_1up_hidden_in_pole_spawner_loop:
	addiu	$sp, $sp, -0x30
	sw	$ra, 0x24($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	addiu	$a3, $zero, 0x2bc
	lwc1	$f12, 0xa0($t6)
	lwc1	$f14, 0xa4($t6)
	jal	 is_point_within_radius_of_mario
#This function is called from Behavior  bhvKingBobomb
#It has virtual address 0x802A8064 and rom address 0x63064
 bhv_king_bobomb_loop:
	addiu	$sp, $sp, -0x38
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$at, 0x41a0
	mtc1	$at, $f4
	nop	
	swc1	$f4, 0x34($sp)
	lui	$at, 0x4248
#This function is called from Behavior  bhvWarpPipe
#It has virtual address 0x802AAA60 and rom address 0x65A60
 bhv_warp_loop:
	addiu	$sp, $sp, -8
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x154($t6)
	bnez	$t7, 0xd8
	nop	
	lui	$t8, 0x8036
	lw	$t8, 0x1160($t8)
#This function is called from Behavior  bhvBreakableBoxSmall
#It has virtual address 0x802F5CD4 and rom address 0xB0CD4
 bhv_breakable_box_small_init:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$at, 0x4020
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	mtc1	$at, $f4
	nop	
	swc1	$f4, 0xe4($t6)
#This function is called from Behavior  bhvBreakableBoxSmall
#It has virtual address 0x802F6228 and rom address 0xB1228
 bhv_breakable_box_small_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$s0, 0x124($t6)
	beqz	$s0, 0x4c
	nop	
#This function is called from Behavior  bhvTreasureChestsJrb
#It has virtual address 0x802F8158 and rom address 0xB3158
 bhv_treasure_chest_jrb_init:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x1c($sp)
	addiu	$t6, $zero, 0
	sw	$t6, 0x10($sp)
	addiu	$a0, $zero, 1
	addiu	$a1, $zero, -0x35f
	addiu	$a2, $zero, -0xb8a
	jal	 spawn_treasure_chest
#This function is called from Behavior  bhvTreasureChestsJrb
#It has virtual address 0x802F8208 and rom address 0xB3208
 bhv_treasure_chest_jrb_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$s0, 0x14c($t6)
	beqz	$s0, 0x40
	nop	
#This function is called from Behavior  bhvFadingWarp
#It has virtual address 0x802AAB54 and rom address 0x65B54
 bhv_fading_warp_loop:
	addiu	$sp, $sp, -8
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x154($t6)
	bnez	$t7, 0xd8
	nop	
	lui	$t8, 0x8036
	lw	$t8, 0x1160($t8)
#This function is called from Behavior  bhvFireSpitter
#It has virtual address 0x8030D598 and rom address 0xC8598
 bhv_fire_spitter_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	jal	 cur_obj_scale
	lwc1	$f12, 0x2c($t6)
	lui	$at, 0x4220
#This function is called from Behavior  bhvSnufit
#It has virtual address 0x8030DC70 and rom address 0xC8C70
 bhv_snufit_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lh	$t7, 0x74($t6)
	andi	$t8, $t7, 8
	bnez	$t8, 0x338
#This function is called from Behavior  bhvHeaveHo
#It has virtual address 0x802B2278 and rom address 0x6D278
 bhv_heave_ho_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$at, 0x4000
	mtc1	$at, $f12
	jal	 cur_obj_scale
	nop	
	lui	$t6, 0x8036
#This function is called from Behavior  bhvScuttlebug
#It has virtual address 0x802C65C0 and rom address 0x815C0
 bhv_scuttlebug_loop:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	jal	 cur_obj_update_floor_and_walls
	nop	
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x150($t6)
	beqz	$t7, 0x54
#This function is called from Behavior  bhvMrI
#It has virtual address 0x802A6B7C and rom address 0x61B7C
 bhv_mr_i_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8036
	lui	$a1, 0x8033
	addiu	$a1, $a1, 0x84
	jal	 obj_set_hitbox
	lw	$a0, 0x1160($a0)
	lui	$a0, 0x8033
#This function is called from Behavior  bhvDoor
#It has virtual address 0x802ACC3C and rom address 0x67C3C
 bhv_door_init:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lwc1	$f4, 0xa0($t6)
	swc1	$f4, 0x24($sp)
	lui	$t7, 0x8036
	lw	$t7, 0x1160($t7)
#This function is called from Behavior  bhvDoor
#It has virtual address 0x802ACAC8 and rom address 0x67AC8
 bhv_door_loop:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	sw	$zero, 0x1c($sp)
	lw	$t6, 0x1c($sp)
	lui	$t8, 0x8033
	addiu	$at, $zero, -1
	sll	$t7, $t6, 3
	addu	$t8, $t8, $t7
#This function is called from Behavior  bhvGhostHuntBoo
#It has virtual address 0x802C3440 and rom address 0x7E440
 bhv_boo_init:
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0xc8($t6)
	sw	$t7, 0x110($t6)
	jr	$ra
	nop	
#This function is called from Behavior  bhvGhostHuntBoo
#It has virtual address 0x802C4824 and rom address 0x7F824
 bhv_boo_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	jal	 cur_obj_update_floor_and_walls
	nop	
	lui	$a0, 0x8033
	jal	 cur_obj_call_action_function
#This function is called from Behavior  bhvGhostHuntBigBoo
#It has virtual address 0x802C4F30 and rom address 0x7FF30
 bhv_big_boo_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8036
	lui	$a1, 0x8033
	addiu	$a1, $a1, 0xc74
	jal	 obj_set_hitbox
#This function is called from Behavior  bhvMadPiano
#It has virtual address 0x8030BFD0 and rom address 0xC6FD0
 bhv_mad_piano_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lh	$t7, 0x74($t6)
#This function is called from Behavior  bhvHauntedChair
#It has virtual address 0x8030B658 and rom address 0xC6658
 bhv_haunted_chair_init:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$a0, 0x1300
	addiu	$a0, $a0, 0x5024
	jal	 cur_obj_find_nearest_object_with_behavior
	addiu	$a1, $sp, 0x18
#This function is called from Behavior  bhvHauntedChair
#It has virtual address 0x8030BC90 and rom address 0xC6C90
 bhv_haunted_chair_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lh	$t7, 0x74($t6)
#This function is called from Behavior  Bhv_Custom_0x130058c8
#It has virtual address 0x80406078 and rom address 0x1206078
 Func_Custom_0x80406078:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$t5, 0x8036
	lw	$a1, 0x1158($t5)
	jal	 obj_check_if_collided_with_object
	lw	$a0, 0x1160($t5)
#This function is called from Behavior  bhvRecoveryHeart
#It has virtual address 0x80309B64 and rom address 0xC4B64
 bhv_recovery_heart_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8036
	lui	$a1, 0x8033
	addiu	$a1, $a1, 0x2bf0
	jal	 obj_set_hitbox
#This function is called from Behavior  bhvPushableMetalBox
#It has virtual address 0x802B15E8 and rom address 0x6C5E8
 bhv_pushable_loop:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8036
	lui	$a1, 0x8033
	addiu	$a1, $a1, 0x3a0
	jal	 obj_set_hitbox
#This function is called from Behavior  bhvFlyGuy
#It has virtual address 0x802FF040 and rom address 0xBA040
 bhv_fly_guy_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lh	$t7, 0x74($t6)
#This function is called from Behavior  bhvJumpingBox
#It has virtual address 0x802B288C and rom address 0x6D88C
 bhv_jumping_box_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$s0, 0x124($t6)
#This function is called from Behavior  bhvCirclingAmp
#It has virtual address 0x802E8AE4 and rom address 0xA3AE4
 bhv_circling_amp_init:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lwc1	$f4, 0xa0($t6)
#This function is called from Behavior  bhvCirclingAmp
#It has virtual address 0x802E8ECC and rom address 0xA3ECC
 bhv_circling_amp_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	addiu	$at, $zero, 2
#This function is called from Behavior  bhvCheckerboardElevatorGroup
#It has virtual address 0x802B98FC and rom address 0x748FC
 bhv_checkerboard_elevator_group_init:
	addiu	$sp, $sp, -0x40
	sw	$ra, 0x24($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x144($t6)
	bnez	$t7, 0x2c
#This function is called from Behavior  bhvCheckerboardElevatorGroup
#It has virtual address 0x802B9BB4 and rom address 0x74BB4
 bhv_checkerboard_platform_init:
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x68($t6)
	lw	$t8, 0x144($t7)
	sw	$t8, 0xfc($t6)
	jr	$ra
	nop	
#This function is called from Behavior  bhvCheckerboardElevatorGroup
#It has virtual address 0x802B9BD8 and rom address 0x74BD8
 bhv_checkerboard_platform_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lwc1	$f4, 0x1ac($t6)
	swc1	$f4, 0x24($sp)
#This function is called from Behavior  bhvBigBully
#It has virtual address 0x802EB104 and rom address 0xA6104
 bhv_big_bully_init:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	jal	 cur_obj_init_animation
	move	$a0, $zero
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lwc1	$f4, 0xa0($t6)
#This function is called from Behavior  bhvBigBully
#It has virtual address 0x802EB9D0 and rom address 0xA69D0
 bhv_bully_loop:
	addiu	$sp, $sp, -0x30
	sw	$ra, 0x24($sp)
	sw	$s0, 0x20($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lwc1	$f4, 0xa0($t6)
	swc1	$f4, 0xf8($t6)
#This function is called from Behavior  Bhv_Custom_0x13005740
#It has virtual address 0x802BCDA8 and rom address 0x77DA8
 bhv_lll_sinking_rectangular_platform_loop:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$at, 0x8033
	lwc1	$f4, 0x7c84($at)
	swc1	$f4, 0x1c($sp)
	addiu	$t6, $zero, 0x100
	sw	$t6, 0x18($sp)
#This function is called from Behavior  Bhv_Custom_0x13005874
#It has virtual address 0x802BCE58 and rom address 0x77E58
 bhv_lll_sinking_square_platforms_loop:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$at, 0x4120
	mtc1	$at, $f4
	nop	
	swc1	$f4, 0x1c($sp)
	addiu	$t6, $zero, 0x100
#This function is called from Behavior  Bhv_Custom_0x13005874
#It has virtual address 0x802BC22C and rom address 0x7722C
 bhv_lll_sinking_rock_block_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	addiu	$a2, $zero, 0x7c
	addiu	$a3, $zero, -0x6e
	addiu	$a0, $t6, 0x104
#This function is called from Behavior  Bhv_Custom_0x13005804
#It has virtual address 0x802BCF40 and rom address 0x77F40
 bhv_platform_normals_init:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	addiu	$t7, $t6, 0x21c
	sw	$t7, 0x1c($sp)
	lui	$t8, 0x8036
#This function is called from Behavior  Bhv_Custom_0x13005804
#It has virtual address 0x802BD058 and rom address 0x78058
 bhv_tilting_inverted_pyramid_loop:
	addiu	$sp, $sp, -0x80
	sw	$ra, 0x14($sp)
	sw	$zero, 0x3c($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	addiu	$t7, $t6, 0x21c
	sw	$t7, 0x34($sp)
#This function is called from Behavior  Bhv_Custom_0x1300583c
#It has virtual address 0x802F3B98 and rom address 0xAEB98
 bhv_lll_rolling_log_init:
	lui	$at, 0x45a0
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	mtc1	$at, $f4
	nop	
	swc1	$f4, 0xf8($t6)
	lui	$at, 0x45bc
#This function is called from Behavior  Bhv_Custom_0x1300583c
#It has virtual address 0x802F36A4 and rom address 0xAE6A4
 bhv_rolling_log_loop:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lwc1	$f4, 0xa0($t6)
	swc1	$f4, 0x1c($sp)
	lui	$t7, 0x8036
#This function is called from Behavior  bhvSmallBully
#It has virtual address 0x802EB05C and rom address 0xA605C
 bhv_small_bully_init:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	jal	 cur_obj_init_animation
	move	$a0, $zero
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lwc1	$f4, 0xa0($t6)
#This function is called from Behavior  bhvFlamethrower
#It has virtual address 0x802AF1E8 and rom address 0x6A1E8
 bhv_flamethrower_loop:
	addiu	$sp, $sp, -0x40
	sw	$ra, 0x24($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x14c($t6)
	bnez	$t7, 0x84
	nop	
#This function is called from Behavior  bhvClamShell
#It has virtual address 0x80312A54 and rom address 0xCDA54
 bhv_clam_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$at, 0x3fc0
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	mtc1	$at, $f4
#This function is called from Behavior  bhvHomingAmp
#It has virtual address 0x802E8388 and rom address 0xA3388
 bhv_homing_amp_init:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lwc1	$f4, 0xa0($t6)
	swc1	$f4, 0x164($t6)
	lui	$t7, 0x8036
#This function is called from Behavior  bhvHomingAmp
#It has virtual address 0x802E89D4 and rom address 0xA39D4
 bhv_homing_amp_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x14c($t6)
	sltiu	$at, $t7, 5
	beqz	$at, 0xdc
#This function is called from Behavior  Bhv_Custom_0x13000920
#It has virtual address 0x802AB650 and rom address 0x66650
 bhv_yellow_coin_init:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x1300
	jal	 cur_obj_set_behavior
	addiu	$a0, $a0, 0x91c
	lui	$a0, 0x8036
	lui	$a1, 0x8033
#This function is called from Behavior  Bhv_Custom_0x13000920
#It has virtual address 0x802AB70C and rom address 0x6670C
 bhv_yellow_coin_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	jal	 bhv_coin_sparkles_init
	nop	
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0xf0($t6)
#This function is called from Behavior  bhvPoleGrabbing
#It has virtual address 0x802A6C20 and rom address 0x61C20
 bhv_pole_init:
	addiu	$sp, $sp, -8
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x188($t6)
	sra	$t8, $t7, 0x10
	andi	$t9, $t8, 0xff
	sw	$t9, 4($sp)
#This function is called from Behavior  bhvWigglerHead
#It has virtual address 0x80302154 and rom address 0xBD154
 bhv_wiggler_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x14c($t6)
	bnez	$t7, 0x30
#This function is called from Behavior  bhvEnemyLakitu
#It has virtual address 0x80303028 and rom address 0xBE028
 bhv_enemy_lakitu_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$at, 0x44fa
	mtc1	$at, $f12
	jal	0x802fbab4
	nop	
#This function is called from Behavior  bhvEyerokBoss
#It has virtual address 0x8030EA9C and rom address 0xC9A9C
 bhv_eyerok_boss_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x14c($t6)
	sltiu	$at, $t7, 5
	beqz	$at, 0x88
#This function is called from Behavior  bhvThwomp
#It has virtual address 0x802AD34C and rom address 0x6834C
 bhv_grindel_thwomp_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8033
	jal	 cur_obj_call_action_function
	addiu	$a0, $a0, 0x298
	b	0x1c
	nop	
#This function is called from Behavior  bhvHidden1upTrigger
#It has virtual address 0x802F48F4 and rom address 0xAF8F4
 bhv_1up_hidden_trigger_loop:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8036
	lui	$a1, 0x8036
	lw	$a1, 0x1158($a1)
	jal	 obj_check_if_collided_with_object
	lw	$a0, 0x1160($a0)
#This function is called from Behavior  bhvBirdsSoundLoop
#It has virtual address 0x802F0898 and rom address 0xAB898
 bhv_birds_sound_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8034
	lw	$t6, -0x3430($t6)
	addiu	$at, $zero, 3
	lbu	$t7, ($t6)
#This function is called from Behavior  bhvWaterfallSoundLoop
#It has virtual address 0x802F07F4 and rom address 0xAB7F4
 bhv_waterfall_sound_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x4001
	jal	 cur_obj_play_sound_1
	ori	$a0, $a0, 1
	b	0x1c
	nop	
#This function is called from Behavior  bhvBird
#It has virtual address 0x80311874 and rom address 0xCC874
 bhv_bird_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$s0, 0x14c($t6)
	beqz	$s0, 0x34
#This function is called from Behavior  Bhv_Custom_0x130058b0
#It has virtual address 0x80406000 and rom address 0x1206000
 Func_Custom_0x80406000:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$t7, 0x8036
	lw	$t7, 0x1160($t7)
	sh	$zero, 0x74($t7)
	lbu	$t8, 0x188($t7)
	lui	$t9, 0x8034
#This function is called from Behavior  bhvBooWithCage
#It has virtual address 0x802C515C and rom address 0x8015C
 bhv_boo_with_cage_init:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8034
	lh	$t6, -0x4d9c($t6)
	slti	$at, $t6, 0xc
	beqz	$at, 0x30
	nop	
#This function is called from Behavior  bhvBooWithCage
#It has virtual address 0x802C51D4 and rom address 0x801D4
 bhv_boo_with_cage_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	jal	 cur_obj_update_floor_and_walls
	nop	
	lui	$a0, 0x8033
	jal	 cur_obj_call_action_function
	addiu	$a0, $a0, 0xcc4
#This function is called from Behavior  bhvAmbientSounds
#It has virtual address 0x802F0950 and rom address 0xAB950
 bhv_ambient_sounds_init:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8034
	lw	$t6, -0x3430($t6)
	addiu	$at, $zero, 3
	lbu	$t7, ($t6)
	bne	$t7, $at, 0x28
#This function is called from Behavior  bhvCapSwitch
#It has virtual address 0x802A7170 and rom address 0x62170
 bhv_cap_switch_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8033
	jal	 cur_obj_call_action_function
	addiu	$a0, $a0, 0xac
	b	0x1c
	nop	
#This function is called from Behavior  bhvWaterLevelDiamond
#It has virtual address 0x802C2A24 and rom address 0x7DA24
 bhv_water_level_diamond_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1184($t6)
	beqz	$t6, 0x2a8
	nop	
#This function is called from Behavior  bhvInitializeChangingWaterLevel
#It has virtual address 0x802C2930 and rom address 0x7D930
 bhv_init_changing_water_level_loop:
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x14c($t6)
	bnez	$t7, 0x40
	nop	
	lui	$t8, 0x8036
	lw	$t8, 0x1184($t8)
#This function is called from Behavior  bhvSquarishPathMoving
#It has virtual address 0x802B0BEC and rom address 0x6BBEC
 bhv_squarish_path_moving_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$at, 0x4120
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	mtc1	$at, $f4
	nop	
#This function is called from Behavior  bhvSeesawPlatform
#It has virtual address 0x80305C14 and rom address 0xC0C14
 bhv_seesaw_platform_init:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lui	$a0, 0x8033
	lw	$t7, 0x144($t6)
	sll	$t8, $t7, 2
#This function is called from Behavior  bhvSeesawPlatform
#It has virtual address 0x80305C90 and rom address 0xC0C90
 bhv_seesaw_platform_update:
	addiu	$sp, $sp, -0x30
	sw	$ra, 0x1c($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0xd0($t6)
	sw	$t7, 0x2c($sp)
	lui	$t8, 0x8036
#This function is called from Behavior  bhvSlidingPlatform2
#It has virtual address 0x803091E0 and rom address 0xC41E0
 bhv_sliding_plat_2_init:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x188($t6)
	sra	$t8, $t7, 0x10
	andi	$t9, $t8, 0xffff
#This function is called from Behavior  bhvSlidingPlatform2
#It has virtual address 0x80309354 and rom address 0xC4354
 bhv_sliding_plat_2_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x154($t6)
	slti	$at, $t7, 0xb
	bnez	$at, 0x84
#This function is called from Behavior  bhvFerrisWheelAxle
#It has virtual address 0x80305E2C and rom address 0xC0E2C
 bhv_ferris_wheel_axle_init:
	addiu	$sp, $sp, -0x30
	sw	$ra, 0x24($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lui	$a0, 0x8033
	lw	$t7, 0x144($t6)
	sll	$t8, $t7, 2
#This function is called from Behavior  bhvAnimatesOnFloorSwitchPress
#It has virtual address 0x803094F8 and rom address 0xC44F8
 bhv_animates_on_floor_switch_press_init:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x1300
	jal	 cur_obj_nearest_object_with_behavior
	addiu	$a0, $a0, 0x1468
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
#This function is called from Behavior  bhvAnimatesOnFloorSwitchPress
#It has virtual address 0x80309530 and rom address 0xC4530
 bhv_animates_on_floor_switch_press_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x100($t6)
	beqz	$t7, 0x90
	nop	
#This function is called from Behavior  bhvBowserCourseRedCoinStar
#It has virtual address 0x802F328C and rom address 0xAE28C
 bhv_bowser_course_red_coin_star_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lui	$at, 0x8036
	lw	$t7, 0xf4($t6)
#This function is called from Behavior  bhvPlatformOnTrack
#It has virtual address 0x80305100 and rom address 0xC0100
 bhv_platform_on_track_init:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lh	$t7, 0x74($t6)
	andi	$t8, $t7, 8
	bnez	$t8, 0x114
#This function is called from Behavior  bhvPlatformOnTrack
#It has virtual address 0x80305A58 and rom address 0xC0A58
 bhv_platform_on_track_update:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x14c($t6)
	sltiu	$at, $t7, 5
	beqz	$at, 0x88
#This function is called from Behavior  bhvBitfsSinkingPlatforms
#It has virtual address 0x802AEC40 and rom address 0x69C40
 bhv_bitfs_sinking_platform_loop:
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lui	$at, 0x8038
	lhu	$t7, 0xf6($t6)
	lwc1	$f16, 0xa4($t6)
	sra	$t8, $t7, 4
	sll	$t9, $t8, 2
#This function is called from Behavior  bhvBitfsSinkingCagePlatform
#It has virtual address 0x802AECDC and rom address 0x69CDC
 bhv_bitfs_sinking_cage_platform_loop:
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x144($t6)
	beqz	$t7, 0x84
	nop	
	lui	$t8, 0x8036
	lw	$t8, 0x1160($t8)
#This function is called from Behavior  bhvActivatedBackAndForthPlatform
#It has virtual address 0x803097A4 and rom address 0xC47A4
 bhv_activated_back_and_forth_platform_init:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0x188($t6)
	sra	$t8, $t7, 0x10
	andi	$t9, $t8, 0xffff
#This function is called from Behavior  bhvActivatedBackAndForthPlatform
#It has virtual address 0x803098C0 and rom address 0xC48C0
 bhv_activated_back_and_forth_platform_update:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x14($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1158($t6)
	lui	$t8, 0x8036
	lw	$t8, 0x1160($t8)
	lw	$t7, 0x214($t6)
#This function is called from Behavior  bhvSquishablePlatform
#It has virtual address 0x802AEBC8 and rom address 0x69BC8
 bhv_squishable_platform_loop:
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lui	$at, 0x8038
	mtc1	$zero, $f8
	lhu	$t7, 0xf6($t6)
	sra	$t8, $t7, 4
	sll	$t9, $t8, 2
#This function is called from Behavior  bhvWfTumblingBridge
#It has virtual address 0x802AD890 and rom address 0x68890
 bhv_tumbling_bridge_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8033
	jal	 cur_obj_call_action_function
	addiu	$a0, $a0, 0x2dc
	b	0x1c
	nop	
#This function is called from Behavior  bhvTiltingBowserLavaPlatform
#It has virtual address 0x802A2BC4 and rom address 0x5DBC4
 cur_obj_rotate_face_angle_using_vel:
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lw	$t7, 0xd0($t6)
	lw	$t8, 0x114($t6)
	addu	$t9, $t7, $t8
	sw	$t9, 0xd0($t6)
	lui	$t0, 0x8036
#This function is called from Behavior  bhvBowserBomb
#It has virtual address 0x802ECC14 and rom address 0xA7C14
 bhv_bowser_bomb_loop:
	addiu	$sp, $sp, -0x18
	sw	$ra, 0x14($sp)
	lui	$a0, 0x8036
	lui	$a1, 0x8036
	lw	$a1, 0x1158($a1)
	jal	 obj_check_if_collided_with_object
	lw	$a0, 0x1160($a0)
#This function is called from Behavior  bhvBowser
#It has virtual address 0x802B7878 and rom address 0x72878
 bhv_bowser_init:
	addiu	$sp, $sp, -0x20
	sw	$ra, 0x14($sp)
	lui	$t7, 0x8036
	lw	$t7, 0x1160($t7)
	addiu	$t6, $zero, 1
	sh	$t6, 0x110($t7)
	lui	$t9, 0x8036
#This function is called from Behavior  bhvBowser
#It has virtual address 0x802B75A4 and rom address 0x725A4
 bhv_bowser_loop:
	addiu	$sp, $sp, -0x28
	sw	$ra, 0x1c($sp)
	sw	$s0, 0x18($sp)
	lui	$t6, 0x8036
	lw	$t6, 0x1160($t6)
	lwc1	$f4, 0xa8($t6)
	lwc1	$f8, 0xa0($t6)
